Skip to main content
`Ctrl`+`K`

# DMGetBlockSize

Gets the inherent block size associated with a `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetBlockSize(DM dm, PetscInt *bs)

Not Collective

## Input Parameter

- dm - the `DM` with block structure

## Output Parameter

- bs - the block size, 1 implies no exploitable block structure

## Notes

This might be the number of degrees of freedom at each grid point for a structured grid.

Complex `DM` that represent multiphysics or staggered grids or mixed-methods do not generally have a single inherent block size, but rather different locations in the vectors may have a different block size.

## See Also

DM Basics, `DM`, `ISCreateBlock()`, `VecSetBlockSize()`, `MatSetBlockSize()`, `DMGetLocalToGlobalMapping()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages